% Introduction à la l'interface en ligne de commande
% O. Malaspinas
% 16 septembre 2020

# Introduction

## Généralités

* *Command line interface* (CLI) en anglais.
* Interface textuelle vers l'ordinateur.
* Peut s'appeler le *shell*, le *terminal*, la *console*, ...
* Semble obscure, mais est très pratique (automatisation de tâches, copier-coller, ...).
* Vous devrez l'utiliser tout au long de vos études.
* Existe sous Linux, MacOS, et même Windows (les commandes peuvent varier!).
* Ici on ne parlera que de *Linux*.

# A quoi ça sert?

## Équivalent textuel d'un GUI

Toutes les informations obtenues avec une interface graphique, peuvent être obtenues à l'aide de la ligne de commande (liste loin d'être exhaustive):

* Changement d'un répertoire: `cd`{.bash}
* Affichage du contenu d'un répertoire: `ls`
* Déplacement de fichier: `mv`
* Copie de fichier: `cp`
* Création de répertoire: `mkdir`
* Recherche de fichier: `find`
* Recherche de texte dans un fichier: `grep`
* Etc, etc, etc, etc, etc

## Mais aussi

* Télécharger des documents, compiler, éditer des fichiers, ...

# Ouvrir un terminal

Dépendant de votre distribution de Linux l'ouverture d'un terminal peut varier.

Ce qui marche *presque* tout le temps:

1. Appuyer sur le bouton `Super` (`Windows`) du clavier.
2. Commencer à taper "terminal".

![](figs/terminal_open.png){#fig:terminal_open width=100%}

Raccourcis clavier:

* `Ctrl+Alt+T`
* `Super+T`
* Vous pouvez customiser les raccourcis.

# Une fois le terminal ouvert

Vous pouvez taper des commandes puis `Entrée`.

```bash
$ pwd
/home/orestis
```

Exemple: `pwd` affiche le répertoire courant (**p**rint **w**orking **d**irectory).

**Attention: les commandes sont sensibles à la casse!**

Exemple: `cd` change de répertoire (**c**hange **d**irectory).

:::::::::::::: {.columns}

::: {.column width="45%"}

```bash
$ pwd
/home/orestis
$ cd ..
$ pwd
/home
```

:::
::: {.column width="45%"}

```bash
$ cd orestis
$ pwd
/home/orestis
$ cd ../..
$ pwd
/
```

:::
::::::::::::::

# Remarque: chemins relatifs ou absolus

Lorsqu'on spécifie un *chemin* 

# Quelques commandes utiles

## `ls`



## `mkdir`






